// base override
@background-color-light: rgba(1, 80, 154, 0.05);

@font-family: 'Montserrat', sans-serif;
@font-size-base: 16px;
@font-size-sm: @font-size-base - 2px;

@height-sm: 32px;
@height-base: 50px;
@height-lg: 64px;

@border-radius-base: 7px;
@border-color-split: #f0f0f0;

// Media queries
@screen-xs: 360px;
@screen-sm: 568px;
@screen-xl: 1280px;
@screen-xxl: 1920px;

// Layout
@layout-header-height: 4.25rem;
@layout-header-padding: 1rem;

// Alert
@alert-info-bg-color: #dfefff;

// Card
@card-head-color: @text-color;
@card-head-padding: 20px;
@card-head-padding-sm: 15px;
@card-head-font-size: 18px;
@card-head-font-size-sm: @font-size-base;
@card-padding-base: 20px;
@card-padding-base-sm: 15px;

// Table
@table-border-radius-base: 0;

// Checkbox
@checkbox-check-bg: transparent;

// Tag
@tag-font-size: @font-size-sm;

// Button
@btn-font-weight: 600;

@btn-ghost-color: @primary-color;
@btn-ghost-border: @primary-color;

// Select
@select-item-selected-font-weight: 500;

// Rate
@rate-star-color: #ffc24b;
@rate-star-size: 8px;

// Form
@form-item-margin-bottom: 16px;
@form-item-label-font-size: @font-size-sm;

// Select
@select-single-item-height-lg: @height-lg;

// Menu
@menu-inline-toplevel-item-height: @height-base;
@menu-item-height: @height-base;
@menu-icon-margin-right: 1rem;
@menu-icon-size: 1.25rem;

// Popconfirm
@zindex-popover: 2000;
@zindex-notification: 9999;

// Table
@table-border-color: #b3cbe1;

// themes value override
@heading-color: var(--heading-color);
@component-background: var(--background-color);
@text-color: var(--text-main-color);
@item-hover-bg: var(--item-hover-bg);
@background-color-base: var(--background-base-color);
@border-color-base: var(--border-base-color);

// Icons
@icon-color-hover: var(--icon-hover-color);

// Disabled state
@disabled-bg: var(--disabled-bg-color);

// Layout
@layout-body-background: var(--layout-body-bg-color);
@layout-header-background: var(--layout-header-bg-color);
@layout-sider-background: var(--layout-sider-bg-color);

// Input
@input-placeholder-color: var(--input-placeholder-color);
@input-disabled-color: var(--disabled-color);

// Avatar
@avatar-bg: var(--avatar-bg);

// Alert
@alert-text-color: var(--alert-text-color);

// Buttons
@btn-disable-color: var(--disabled-color);

// Breadcrumb
@breadcrumb-base-color: var(--breadcrumb-color);
@breadcrumb-link-color: var(--breadcrumb-color);
@breadcrumb-separator-color: var(--breadcrumb-color);

// Radio buttons
@radio-disabled-button-checked-color: var(--disabled-color);

// Pagination
@pagination-item-disabled-color-active: var(--disabled-color);

// Slider
@slider-disabled-color: var(--disabled-color);

// Modal
@modal-close-color: var(--icon-color);

// Progress
@progress-remaining-color: var(--background-base-color);



